import request from '@/utils/request'

// 查询盘点任务明细列表
export function listWmsInventoryTaskDetail(query) {
  return request({
    url: '/ware/wmsInventoryTaskDetail/list',
    method: 'get',
    params: query
  })
}

// 查询盘点任务明细详细
export function getWmsInventoryTaskDetail(detailId) {
  return request({
    url: '/ware/wmsInventoryTaskDetail/' + detailId,
    method: 'get'
  })
}

// 新增盘点任务明细
export function addWmsInventoryTaskDetail(data) {
  return request({
    url: '/ware/wmsInventoryTaskDetail',
    method: 'post',
    data: data
  })
}

// 修改盘点任务明细
export function updateWmsInventoryTaskDetail(data) {
  return request({
    url: '/ware/wmsInventoryTaskDetail',
    method: 'put',
    data: data
  })
}

// 删除盘点任务明细
export function delWmsInventoryTaskDetail(detailId) {
  return request({
    url: '/ware/wmsInventoryTaskDetail/' + detailId,
    method: 'delete'
  })
}
